<ion-card *transloco="let t" class="default-card {{ elevation }}">
  <a
    (click)="navigateToParkingDetailsPage()"
    (keydown.enter)="navigateToParkingDetailsPage()"
    tabindex="0"
  >
    <ion-grid>
      <ion-row class="header">
        <ion-row>
          <ion-col class="header-top">
            <ion-card-title>{{ parkingArea.area.displayName }}</ion-card-title>
            <ion-card-subtitle *ngIf="parkingArea.distance"
              >{{ parkingArea.distance | distanceFormat }}
            </ion-card-subtitle>
          </ion-col>
        </ion-row>

        <ion-row class="header-bottom">
          <ion-col class="parking-details">
            <div class="parking-info">
              <lib-general-icon
                [name]="parkingArea.parkingIcon"
                [size]="iconFontSize.small"
                [type]="iconType.materialIconsOutlined"
              ></lib-general-icon>
              <span class="parking-display-name">
                {{ t(parkingArea.parkingTypeTranslationKey) }}
              </span>
            </div>
            <lib-parking-badge-container
              [parking]="parkingArea.area"
            ></lib-parking-badge-container>
          </ion-col>
        </ion-row>
      </ion-row>
      <ion-row *ngIf="!isForYouFeed" class="parking-times-actions">
        <ion-col class="parking-times">
          @if (parkingArea.area.openAllDay) {
            <div>{{ t('feature_parking.dashboard.open_allday') }}</div>
          } @else if (!parkingArea.area.closedToday) {
            <div>
              {{
                t('feature_parking.dashboard.open_time', {
                  time:
                    parkingArea.area.currentDayOpeningHours.from | timeFormat,
                })
              }}
            </div>
            <div>
              {{
                t('feature_parking.dashboard.close_time', {
                  time: parkingArea.area.currentDayOpeningHours.to | timeFormat,
                })
              }}
            </div>
          } @else {
            <div>{{ t('feature_parking.dashboard.closed') }}</div>
          }
        </ion-col>
        <ion-col class="parking-actions">
          <lib-custom-selectable-icon-text-button
            (selectedChange)="toggleFavorite($event)"
            [applySelectionStyle]="true"
            [selected]="isFavoriteParking"
            [text]="t('feature_parking.dashboard.favorite')"
            icon="favorite_border"
          >
          </lib-custom-selectable-icon-text-button>
          <lib-custom-selectable-icon-text-button
            (selectedChange)="openNavigation($event)"
            [applySelectionStyle]="true"
            [selected]="false"
            [text]="t('feature_parking.dashboard.navigate')"
            icon="directions"
          >
          </lib-custom-selectable-icon-text-button>
        </ion-col>
      </ion-row>
    </ion-grid>
  </a>
</ion-card>
